﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using SciChart.Charting.Model.DataSeries;
using SciChart.Data.Model;

namespace ZoomPanTestModifier
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Loaded();
        }

        private void Loaded()
        {
            FirstFastLineRenderableSeries.DataSeries = CreateDataSeries(100);
        }

        private IDataSeries CreateDataSeries(int amplitude)
        {
            var dataSeries= new XyDataSeries<double,double>();
            for (int i = 0; i < 100; i++)
            {
                dataSeries.Append(i,Math.Sin(i/(Math.PI/180))* amplitude);
            }

            YAxis.VisibleRange = new DoubleRange(0,20);

            return dataSeries;
        }
    }
}
